HSI_ALLOC_CONTROLLER(9)

NAME
hsi_alloc_controller - Allocate an HSI controller and its ports

SYNOPSIS

struct hsi_controller * hsi_alloc_controller(unsigned int n_ports, gfp_t flags);

ARGUMENTS

n_ports
    Number of ports on the HSI controller

flags
    Kernel allocation flags

DESCRIPTION

Return NULL on failure or a pointer to an hsi_controller on success.

COPYRIGHT